package up;

import java.util.List;

/**
 * Skeleton class for your own implementation of a Viterbi parser.
 */
public class MyParser implements Parser {

	/**
	 * The grammar underlying this parser.
	 */
	private final Grammar grammar;

	/**
	 * Constructs a new parser for the specified grammar.
	 *
	 * @param grammar the grammar for which to construct the parser
	 */
	public MyParser(Grammar grammar) {
		this.grammar = grammar;
	}

	/**
	 * Returns a best parse tree for the specified word sequence. (A best parse
	 * tree is a highest-scoring parse tree for this sentence given the
	 * underlying grammar.)
	 *
	 * @param words a sequence of words
	 * @return a best parse tree for the specified word sequence, or
	 * <code>null</code> if this parser cannot parse the specified sequence
	 */
	public Tree getBestParse(List<String> words) {
		// Insert the main code here.

		// Returning <code>null</null> here signifies that this parser cannot
		// parse the specified word sequence. In your own parser, you should
		// return the parse tree.
		return null;
	}
}
