/*
 * See the file "LICENSE" for the full license governing this code.
 */
package up;

import java.util.List;

/**
 * A Viterbi parser.
 *
 * @author Marco Kuhlmann <marco.kuhlmann@lingfil.uu.se>
 */
public interface Parser {

	/**
	 * Returns a best parse tree for the specified word sequence.
	 *
	 * @param words a sequence of word tokens
	 * @return a best parse tree for the specified word sequence, or
	 * <code>null</code> if this parser cannot parse the specified sequence
	 */
	public abstract Tree getBestParse(List<String> words);
}
