/*
 * See the file "LICENSE" for the full license governing this code.
 */
package up;

/**
 * Receive notifications about a tree traversal.
 *
 * @author Marco Kuhlmann <marco.kuhlmann@lingfil.uu.se>
 */
public interface TraversalHandler {

    /**
     * Receives notification that the specified tree has just been entered.
     *
     * @param tree the tree that has just been entered
     */
    public abstract void enter(Tree tree);

    /**
     * Receives notification that the specified tree is about to be left.
     *
     * @param tree the tree that is about to be left
     */
    public abstract void leave(Tree tree);
}
